<?php
/*
 * Tutorial: How to Restrict the Maximum Upload Size in WordPress
 * URL: https://www.rafaelcardero.com/tutorials/how-to-restrict-the-maximum-upload-size-in-wordpress/
 */

/* -----------------------------------------------------------------------------
 * - Filter
 * ---------------------------------------------------------------------------*/

/*
 * Restricts the maximum upload size.
 */
function ns_restrict_max_upload_size(){
    
    $new_value = 7 * MB_IN_BYTES; // 7 megabytes
    $server_upload_max_size = wp_convert_hr_to_bytes(ini_get('upload_max_filesize'));
    $server_post_max_size = wp_convert_hr_to_bytes(ini_get('post_max_size'));
    $server_memory_limit = wp_convert_hr_to_bytes(ini_get('memory_limit'));

    return min($new_value, $server_upload_max_size, $server_post_max_size, $server_memory_limit);
}
add_filter('upload_size_limit', 'ns_restrict_max_upload_size', 999, 0);